%define module  pam
%define name    python-%{module}
%define version 0.5.0
%define release %mkrel 10

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:        Python bindings for PAM
License:        GPL
Group:          Development/Python
URL:            http://www.pangalactic.org/PyPAM
Source:         PyPAM-%{version}.tar.bz2
BuildRequires:  pam-devel
BuildRequires:  python-devel
Patch0:         PyPAM-0.5.0-libdl-fix.patch
Patch1:         PyPAM-0.5.0-fix-headers-and-missing-def.patch
Patch2:         PyPAM-0.5.0-dealloc.patch
Patch3:         PyPAM-0.5.0-nofree.patch
Patch4:         PyPAM-0.5.0-memory-errors.patch
Patch5:         PyPAM-0.5.0-return-value.patch


%description
This release supports the core PAM API. There is still some missing
functionality, but it should implement enough of the API for most
needs. There is not much in the way of documentation at this point. If
you are familiar with the PAM API, a quick glance at the sample program
should get you going.

%prep
%setup -q -n PyPAM-%{version}

%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
rm examples/pamexample
rm -rf build dist

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" %{__python} setup.py build

%install
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot}


%files
%defattr(-,root,root)
%doc AUTHORS NEWS README ChangeLog COPYING examples
%{python_sitearch}/PAMmodule.so
%{python_sitearch}/*.egg-info





%changelog
* Mon Oct 28 2013 philippem <philippem> 0.5.0-10.mga4
+ Revision: 547713
- sync with Fedora to fix memory leaks

* Tue Oct 22 2013 umeabot <umeabot> 0.5.0-9.mga4
+ Revision: 543877
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.0-8.mga4
+ Revision: 499044
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Feb 22 2013 kharec <kharec> 0.5.0-7.mga3
+ Revision: 399826
- add a patch wrongly removed

* Fri Feb 22 2013 kharec <kharec> 0.5.0-6.mga3
+ Revision: 399818
- add two patches to fix build

  + dmorgan <dmorgan>
    - Add fedora patch to fix dealloc
    - imported package python-pam

